System.Design 1.0.5000.0 2.0.0.0

The interface is obsolete. Use the class for equivalent designer functionality.

A Web Forms document designer must implement this interface. Implementing this interface enables a designer to manage references and provide information related to Web Forms controls within the project.

Provides an interface that can look up information about the types used in the current Web Forms project.

- Method
  System.Type `` ``

  The method is obsolete. Use the method on the class for equivalent designer functionality.

  Gets the type of the specified object.

  The of the object, if it could be resolved.

  The tag prefix for the type. The name of the type. 1.0.5000.0 2.0.0.0
- Method
  System.String

  The method is obsolete. Use the method on the class for equivalent designer functionality.

  Gets the register directives for the current project.

  The register directives for the current project.

  1.0.5000.0
  2.0.0.0
- Method
  System.String ``

  The method is obsolete. Use the method on the class for equivalent designer functionality.

  Gets the tag prefix for the specified type of object.

  The tag prefix for the specified object type, if it could be located.

  The type of the object. 1.0.5000.0 2.0.0.0
System.Obsolete("Use new WebFormsReferenceManager feature")